[Overview][Types][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.WriteString

Write a string value

## Declaration

Source position: inifiles.pp line 176

`public procedure TCustomIniFile.WriteString(`
`const Section: string;`
`const Ident: string;`
`const Value: string`
`); virtual; abstract;`

## Arguments

`Section` |  | Section to write key value to
`Ident` |  | Key name with which to write value
`Value` |  | String value to write

## Description

WriteString writes the string Value with the name Ident to the section Section, overwriting any previous value that may exist there. The section will be created if it does not exist.

Note that it is not possible to write strings with newline characters in them. Newlines can be read from a .ini file, but there is no support for writing them.

## See also

ReadString |  | Read a string valued key
WriteInteger |  | Write an integer value
WriteBool |  | Write boolean value
WriteDate |  | Write date value
WriteDateTime |  | Write date/time value
WriteTime |  | Write time value
WriteFloat |  | Write a floating-point value
WriteBinaryStream |  | Write binary data